#
# spec file for package yast2-users (Version 2.13.18)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib cracklib-devel curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd ldapcpplib less libacl libattr libcom_err libgcc libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules patch pcre pcre-devel perl perl-Digest-SHA1 perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-ldap yast2-ldap-client yast2-mail-aliases yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-security yast2-slp yast2-testsuite zlib zlib-devel

Name:           yast2-users
Version:        2.13.18
Release:        0.3
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-users-2.13.18.tar.bz2
prefix:		/usr
BuildRequires:  cracklib-devel doxygen gcc-c++ perl-Digest-SHA1 perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-ldap-client yast2-mail-aliases yast2-perl-bindings yast2-security yast2-testsuite
Requires:       yast2 yast2-perl-bindings yast2-country yast2-pam yast2-security yast2-mail-aliases cracklib perl-Digest-SHA1 perl-gettext yast2-ldap-client
Obsoletes:      yast2-config-users y2c_users yast2-trans-users y2t_users yast2-trans-inst-user yast2-trans-users y2t_inst-user
Provides:       yast2-config-users y2c_users yast2-trans-users y2t_users yast2-trans-inst-user yast2-trans-users y2t_inst-user
#BuildArchitectures:	noarch
Summary:        YaST2 - User and Group Configuration

%description
This package is required for easy user creation in the YaST2
installation.



Authors:
--------
    Michal Svec <msvec@suse.cz>
    Jan Holesovsky <kendy@suse.cz>
    Michael Hager <mike@suse.de>
    Johannes Buchhold <jbuch@suse.de>
    Jiri Srain <jsrain@suse.de>
    Martin Vidner <mvidner@suse.cz>
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-users-2.13.18

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/users
%dir /usr/share/YaST2/modules/YaPI
/usr/share/YaST2/clients/*.ycp
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/modules/*.pm
/usr/share/YaST2/modules/UsersUI.y*
/usr/share/YaST2/modules/YaPI/USERS.pm
/usr/share/YaST2/include/users/*
#agents:
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_nis
/usr/lib/YaST2/servers_non_y2/ag_uid
%{_libdir}/YaST2/plugin/libpy2ag_crack.so.*
%{_libdir}/YaST2/plugin/libpy2ag_crack.so
%{_libdir}/YaST2/plugin/libpy2ag_crack.la
%doc %{prefix}/share/doc/packages/yast2-users

%changelog -n yast2-users
* Mon May 22 2006 - jsuchome@suse.cz
- fixed modifying of default group for new users (#176513)
- 2.13.18
* Tue May 09 2006 - gs@suse.de
- show root password confirmation field of equal length (bug #164803)
- 2.13.17
* Wed Mar 15 2006 - jsuchome@suse.cz
- inst_auth: samba is now Windows Domain Membership (text change)
- 2.13.16
* Tue Mar 14 2006 - jsrain@suse.de
- aded support for eDirectory LDAP during instyallation
- 2.13.15
* Thu Feb 23 2006 - jsuchome@suse.cz
- correctly assign owners of LDAP users's home directories (#153078)
- Export group's GID for autoyast (#152265)
- 2.13.14
* Mon Feb 20 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.13
* Mon Feb 06 2006 - jsuchome@suse.cz
- fix bad chacking for duplicate UID (#146477)
- 2.13.12
* Fri Jan 27 2006 - jsuchome@suse.cz
- merged texts from proofreading
- 2.13.11
* Thu Jan 05 2006 - jsuchome@suse.cz
- user plugins: enable showing warning message (#58660)
- 2.13.10
* Thu Jan 05 2006 - jsuchome@suse.cz
- inst_auth: check if NetworkManager is managing network
* Fri Dec 02 2005 - jsuchome@suse.cz
- fixed Import (#136671) by removing forgotten line from old version
- 2.13.9
* Thu Dec 01 2005 - jsuchome@suse.cz
- fix all GetGroupByName calls (#136267) + added test
- 2.13.8
* Mon Nov 28 2005 - jsuchome@suse.cz
- autoinstallation: show system users and groups by default (#135486),
  do not filter out group "users"
- 2.13.7
* Wed Nov 16 2005 - jsuchome@suse.cz
- allow non-unique UID's for users and GID's for groups (feature #300162)
- 2.13.6
* Thu Oct 27 2005 - jsuchome@suse.cz
- user plugins: fixed call of Summary function (#130707),
  better check for restrictions
- 2.13.5
* Thu Oct 13 2005 - jsuchome@suse.cz
- after renaming user: move home correctly, update autologin (#127561)
- 2.13.4
* Fri Sep 30 2005 - jsuchome@suse.cz
- correcly call selected plugins from Plugin tab (#119593)
- 2.13.3
* Thu Sep 29 2005 - jsuchome@suse.cz
- generate the home directory for LDAP users correctly (#119012)
- 2.13.2
* Tue Sep 27 2005 - jsuchome@suse.cz
- set correctly minimal UID and GID from /etc/login.defs (#119006)
- 2.13.1
* Fri Sep 16 2005 - jsuchome@suse.cz
- added missing comments for translators
- inform user about more characters allowed in password (#106714)
- 2.13.0
* Wed Aug 24 2005 - jsuchome@suse.cz
- allow some more characters to be included in password (#106714)
- 2.12.8
* Tue Aug 23 2005 - jsuchome@suse.cz
- fixed allignment of dialog header
- removed yast2-installation from NFB (#106608)
- 2.12.7
* Thu Aug 11 2005 - jsuchome@suse.cz
- fixed setting of default group for new users (#104113)
- 2.12.6
* Thu Aug 04 2005 - jsuchome@suse.cz
- installation: do not reset autologin status after Back (#99003)
- 2.12.5
* Tue Aug 02 2005 - jsuchome@suse.cz
- start main sequence directly from inst_user
  (which enables checking for parameters, e.g. "enable_back")
- 2.12.4
* Thu Jul 28 2005 - jsuchome@suse.cz
- do not re-generate home directory when username wasn't changed
- do not set autologin automatically after Back (#99003)
- 2.12.3
* Tue Jul 12 2005 - jsuchome@suse.cz
- fixed cloning users (#94340)
- 2.12.2
* Tue May 17 2005 - jsuchome@suse.cz
- fixed texts from proofreading (rwalter)
* Tue Apr 26 2005 - jsuchome@suse.cz
- better fix for #76404
- GDM also supports Autologin (#74198) - adapted help texts and tests
- 2.12.1
* Tue Apr 19 2005 - jsuchome@suse.cz
- added support for "rootpassword=ask" option for autoinstallation
  (#76404)
- adapted for new ProductFeatures interface
- 2.12.0
* Fri Mar 04 2005 - jsuchome@suse.cz
- autoyast: do not import groups that already exist as new
* Fri Feb 25 2005 - jsuchome@suse.cz
- fixed buttons hiding/showing during installation (#66589)
* Mon Feb 21 2005 - jsuchome@suse.cz
- adapted testsuite for new ProductFeatures variable
- 2.11.14
* Mon Feb 21 2005 - jsuchome@suse.cz
- 2.11.13
* Thu Feb 17 2005 - jsuchome@suse.cz
- do not chown directory to old UID (#50971)
* Mon Feb 14 2005 - jsuchome@suse.cz
- fixed help text
- 2.11.12
* Mon Feb 07 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.11.11
* Fri Feb 04 2005 - jsuchome@suse.cz
- call GROUPADD_CMD if provided in /etc/login.defs
- simplify adding 1st user in installation (= no tabs, #50475)
- 2.11.10
* Mon Jan 31 2005 - jsuchome@suse.cz
- call /usr/sbin/useradd.local at the end of adding (#50242)
- 2.11.9
* Mon Jan 31 2005 - jsuchome@suse.cz
- added X-SuSE-YaST-AutoInstRequires to desktop file (nashif)
* Fri Jan 28 2005 - jsuchome@suse.cz
- 2.11.8
* Fri Jan 28 2005 - jsuchome@suse.cz
- update table items correctly during installation
- fixed deleting users from command line
- autoyast: enable creating groups when gid is not provided
- autoyast fix: remove internal cache when importing (#50265)
- write empty vardir/users.ycp file if not present
- fixed button labels of 'first user screen' during installation
* Mon Jan 24 2005 - nashif@suse.de
- Set arguments according to new installation workflow interface
* Fri Jan 21 2005 - jsuchome@suse.cz
- offer adaptation of home directory when user name was changed
- 2.11.6
* Wed Jan 05 2005 - jsuchome@suse.cz
- use tabs in Edit User and Edit Group dialogs
- enable list values for LDAP attributes (cn, sn, givenname)
- 2.11.5
* Wed Dec 15 2004 - jsuchome@suse.cz
- do not show Abort button in pseudo-popups
- adapt to current Progress behaviour
- do not abort installation from 'User Management' screen
- special parameters for modules called from 'Data Sources' dialog
- 2.11.4
* Tue Dec 07 2004 - jsuchome@suse.cz
- fixed helptext: group password is necessary for non-members (#48997)
* Wed Nov 24 2004 - jsuchome@suse.cz
- use UMASK from /etc/login.defs when creating new directories (#48372)
- 2.11.3
* Mon Nov 15 2004 - jsuchome@suse.cz
- fix of creating custom user/group filter (#45263)
- fix of initializing LDAP in YaPI (#45898)
- 2.11.2
* Thu Nov 04 2004 - jsuchome@suse.cz
- lookup's and select's replaced by brackets
- fixed wrong message during group password checking (#45268)
- 2.11.1
* Fri Oct 29 2004 - jsuchome@suse.cz
- adapted for new Mode:: interface
- used common texts from Message module
- 2.11.0
* Mon Oct 04 2004 - jsuchome@suse.cz
- do not read settings from Security module if it were already modified
  (#46545)
* Wed Sep 29 2004 - jsuchome@suse.cz
- do not discard local users added from rpm scripts during
  autointstallation (#46269)
- 2.10.10
* Wed Sep 29 2004 - jsuchome@suse.cz
- do not allow non-ASCII characters in user/groupname (#46347)
- 2.10.9
* Fri Sep 17 2004 - jsuchome@suse.cz
- correct initialization of what to show in Summary (#45536)
- 2.10.8
* Wed Sep 15 2004 - jsuchome@suse.cz
- correctly check presence of groupname in group password (#45268)
* Wed Sep 15 2004 - jsuchome@suse.cz
- disable autologin for deleted user (#45261)
* Fri Sep 10 2004 - jsuchome@suse.cz
- exit with warning when creating backup files failed
  (this can happen when there is no space left: #44784)
- 2.10.7
* Mon Sep 06 2004 - jsuchome@suse.cz
- adapted for new autoyast behaviour (#44660)
- 2.10.6
* Thu Sep 02 2004 - jsuchome@suse.cz
- added new system user names for translation (passwd.ycp)
* Mon Aug 23 2004 - jsuchome@suse.cz
- 2.10.5
* Tue Aug 17 2004 - jsuchome@suse.cz
- correctly check if NIS server is present (#43889)
- adapted testsuite
* Wed Aug 11 2004 - jsuchome@suse.cz
- fix: wrong call of Message module from perl
- do not touch /etc/group when only user was added (+adapted testsuite)
* Tue Aug 10 2004 - jsuchome@suse.cz
- merged proofread texts
* Tue Aug 03 2004 - jsuchome@suse.cz
- adapted to current CWM::ShowAndRun interface
- show default group for LDAP user although group is not LDAP (#43433)
- properly initialize "enabled" status of user
- adapted to current LdapPopup::EditAttribute interface
- 2.10.4
* Fri Jul 30 2004 - jsuchome@suse.cz
- audio,uucp,dialout groups are not added as default (#43329)
- removed check for Mode::live_eval
- add warning when changing password encryption type on NIS server
- fixed testsuite
- 2.10.3
* Mon Jul 26 2004 - jsuchome@suse.cz
- use Message module for common messages
- use Package module instead of Require
- crypt group passwords using GROUP_CRYPT from /etc/default/passwd
- 2.10.2
* Tue Jul 20 2004 - jsuchome@suse.cz
- change owner of home directory of user with modified UID number (#43132)
- updated testsuite
* Mon Jul 19 2004 - jsuchome@suse.cz
- enable short passwords for users (#43033)
- enable starting Samba client from authentization dialog (installation)
* Fri Jul 16 2004 - jsuchome@suse.cz
- advanced check for user/group name contents (#43053)
* Wed Jul 14 2004 - jsuchome@suse.cz
- LDAP users: initially, read only minimal set of attributes; the rest
  is read in Edit function when it is called for first time
- use Ldap::GetRequiredAttributes for geting required attributes
  of an object class
* Mon Jul 12 2004 - jsuchome@suse.cz
- fix of editing the LDAP user or group that was just added (#42777)
- 2.10.1
* Mon Jul 12 2004 - jsuchome@suse.cz
- enhanced popup for creating LDAP search filter
* Tue Jun 29 2004 - jsuchome@suse.cz
- enable/disable user checkbox (#32587)
- enable creating of empty home (#35466)
- check group passwords
* Mon Jun 21 2004 - jsuchome@suse.cz
- command-line: ask for password, if not given
- clear nscd cache also if LDAP users/groups were modified (#41648)
* Tue Jun 15 2004 - jsuchome@suse.cz
- command-line: group management, LDAP support
- 2.10.0
* Wed Jun 09 2004 - jsuchome@suse.cz
- YaPI: correct initialization of LDAP configuration (#41806, #41850)
- 2.9.38
* Thu May 27 2004 - jsuchome@suse.cz
- read LDAP again when clicked `back during installation (#41299)
- crypt group passwords (#41300)
- 2.9.37
* Wed May 26 2004 - jsuchome@suse.cz
- LDAP: create correct object classes for groupUniqueOfNames (#41232)
- 2.9.36
* Tue May 25 2004 - jsuchome@suse.cz
- fixed testsuite (typo in ProductFeatures.ycp: #41038)
* Mon May 24 2004 - jsuchome@suse.cz
- autoyast: store user password during cloning users (#41026)
- 2.9.35
* Thu May 20 2004 - jsuchome@suse.cz
- fixed quoting in YCP paths (#40867) + adapted testsuite
* Wed May 19 2004 - jsuchome@suse.cz
- YaPI: added $VERSION and @CAPABILITIES (#40796)
- adapted to new +/- lines handling in ag_passwd (#40571)
- /var/lib/nobody can be used by myltiple users (#40365)
- do not move home directory if the new one already exists
- 2.9.34
* Fri May 14 2004 - jsuchome@suse.cz
- during deleting LDAP user/group, read the list of its plugins (#40561)
- 2.9.33
* Wed May 12 2004 - jsuchome@suse.cz
- enable '$' as a part of LDAP 'uid' attribute (Samba wants it: #40433)
- YaPI: enhanced testsuite
* Tue May 11 2004 - jsuchome@suse.cz
- fixed calling of gettext from Perl modules (#40160)
- 2.9.32
* Fri May 07 2004 - jsuchome@suse.cz
- use correct translation function (#39954)
* Thu May 06 2004 - jsuchome@suse.cz
- LDAP: do not save unchanged values (#39472)
* Wed May 05 2004 - jsuchome@suse.cz
- inst_user: call users after ldap-client if ldap-client uses previously
  configured server (#39901)
- Enable/Disable functions for LDAP user
- improved logging for Perl modules
- 2.9.31
* Tue May 04 2004 - jsuchome@suse.cz
- merged in proofread text
* Thu Apr 29 2004 - jsuchome@suse.cz
- enhanced plugin dialog (enables adding + removing)
- all YaPI functions should be functional
* Tue Apr 27 2004 - jsuchome@suse.cz
- plugins: enable deleting of objectClass (#38984)
- plugins: error handling (#38983), removing (#38984)
- create defult base in LDAP tree if it doesn't exist (#39476)
- 2.9.30
* Wed Apr 21 2004 - arvin@suse.de
- added special sles screen for user authentication
* Tue Apr 20 2004 - jsuchome@suse.cz
- fixed build
- 2.9.29
* Thu Apr 15 2004 - jsuchome@suse.cz
- fix: enable user membership management for LDAP groups (#38919)
- fix: add shadowAccount attribute if not present (#38467)
- fix: save encoding settings during installation
- fix: read LDAP users at module start when they are in custom set
- plugins: differ between plugin for users and groups
- 2.9.28
* Tue Apr 06 2004 - jsuchome@suse.cz
- fix: check for shadowAccount attribute of LDAP users (#38467)
- 2.9.27
* Mon Apr 05 2004 - jsuchome@suse.cz
- fix: correct initial ID for LDAP groups (#38250)
- 2.9.26
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.25
* Fri Apr 02 2004 - jsuchome@suse.cz
- fix: enable deleting groups with long name (#38006)
- 2.9.24
* Wed Mar 31 2004 - jsuchome@suse.cz
- fix: build table items during installation (#37670)
* Tue Mar 30 2004 - jsuchome@suse.cz
- fix: update plugin list after PluginPresent (rhafer)
- fix: after 'Write changes now', enable delete previously added user
- fix: do not set both groupOfNames and groupOfUniqueNames for group
- fix: widget difinition for CWM
- YaPI: UserDisable, UserEnable, GroupModify
- 2.9.23
* Mon Mar 29 2004 - jsuchome@suse.cz
- plugins: check if plugin is defined for given user/group ('PluginPresent')
- plugins: use 'plugins_to_remove' flag
- 2.9.22
* Thu Mar 25 2004 - jsuchome@suse.cz
- autoyast: properly handle 'shadowlastchange' value (#36804)
* Wed Mar 24 2004 - jsuchome@suse.cz
- YaPI: UserModify
- LDAP configuration: new attribute names (with 'suse' prefix)
* Tue Mar 23 2004 - jsuchome@suse.cz
- YaPI: UserAdd, UserDelete, UserGet, UsersGet
- autoyast fix: show empty user password in config mode (#36726)
- Users::Read and Users::Write now return error message, not boolean
* Tue Mar 23 2004 - jsuchome@suse.cz
- autoyast fix: do not import groups with gid -1, do not forget to
  create user home directories
  (+ probably fixed #35600)
- 2.9.21
* Mon Mar 22 2004 - jsuchome@suse.cz
- use only lowercase user/group attribute names
  (adapted also agent-nis and testusite for this change)
* Mon Mar 22 2004 - jsuchome@suse.cz
- do not lose data of first user during installation (#36543)
- 2.9.20
* Fri Mar 19 2004 - jsuchome@suse.cz
- plugins: support all current calls (Add/Edit/Write) also for groups
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Thu Mar 18 2004 - jsuchome@suse.cz
- adapted for the new perl bindings
- 2.9.19
* Tue Mar 16 2004 - jsuchome@suse.cz
- plugins: call AddBefore, EditBefore also from GUI client
* Tue Mar 16 2004 - jsuchome@suse.cz
- autoinstall fixes: do not lost gid, check if password should be crypted
* Mon Mar 15 2004 - jsuchome@suse.cz
- plugins: changed calling convention (call only default ones,
  saved in LDAP configuration, unless directly choosed)
  internal information (like user type, type of modification)
  moved to config map
  many minor fixes
- 2.9.18
* Mon Mar 15 2004 - jsuchome@suse.cz
- changed internal key names: "username" -> "uid", "groupname" -> "cn"
- adapted testsuite
- 2.9.17
* Sat Mar 13 2004 - arvin@suse.de
- require yast2-perl-bindings (bug #35914)
* Wed Mar 10 2004 - jsuchome@suse.cz
- agent-passwd moved to yast2-pam package
- 2.9.15
* Wed Mar 10 2004 - jsuchome@suse.cz
- .pm files adapted for new perl-bindings (use array reference, not array)
* Wed Mar 10 2004 - jsuchome@suse.de
- disabled testsuite
- 2.9.14
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.13
- Migration to new wizard
* Mon Mar 08 2004 - jsuchome@suse.cz
- set wizard icon
* Mon Mar 08 2004 - jsuchome@suse.cz
- fix: check group name
- fixes of default LDAP plugin
- 2.9.12
* Thu Mar 04 2004 - jsuchome@suse.cz
- plugins: differs user from groups (=2 map parameters to every function)
  check plugin availability for given user/group type,
  "rest of LDAP attributes" is default plugin,
- LDAP: check attributes required by the LDAP schema
* Wed Mar 03 2004 - jsuchome@suse.cz
- LDAP: configurable group member attribute (member vs. uniqueMember)
- check for errors in config files (/etc/passwd) and warn user
- error popups when LDAP writing fails
- 2.9.11
* Wed Mar 03 2004 - jsuchome@suse.cz
- fix of inst_root client
* Tue Mar 02 2004 - jsuchome@suse.cz
- call LDAP configuration from Users
- enable writing without finish
* Mon Mar 01 2004 - jsuchome@suse.cz
- merged texts from proofread
- change of plugin handling
- 2.9.10
* Thu Feb 26 2004 - jsuchome@suse.cz
- fixed calling from control center (#35006)
* Wed Feb 25 2004 - jsuchome@suse.cz
- initial support for plugins
* Mon Feb 23 2004 - jsuchome@suse.cz
- error messages after failure of system files (/etc/passwd) read
- more autoyast fixes (export only changed values)
* Fri Feb 20 2004 - jsuchome@suse.cz
- do not break special files (e.g. /dev/null) when set as home dir
* Fri Feb 20 2004 - jsuchome@suse.cz
- autoyast interface
- 2.9.9
* Wed Feb 18 2004 - jsuchome@suse.cz
- do not import Kerberos,Samba,Nis
* Mon Feb 16 2004 - jsuchome@suse.cz
- fix: enable whitespace in passwords (#34590)
* Mon Feb 16 2004 - jsuchome@suse.cz
- support for autoyast (initial for new module backend)
- 2.9.8
* Mon Feb 16 2004 - jsuchome@suse.cz
- fixed testsuite
- fixed needforbuild
* Fri Feb 13 2004 - jsuchome@suse.cz
- enhanced cmd-line interface support
- fixes: multiple changes of uid,username,home,gid,groupname
* Wed Feb 11 2004 - jsuchome@suse.cz
- agent-passwd: correct default values, store password from shadow
- save + lines at the end of config files when NIS is enabled
- LDAP: rename objects, configure search filters
- corrected helptexts
- 2.9.7
* Wed Feb 11 2004 - jsuchome@suse.cz
- fix: correct path to config files
* Tue Feb 10 2004 - jsuchome@suse.cz
- LDAP: write groups
- new file: UsersRoutines.pm
* Mon Feb 09 2004 - jsuchome@suse.cz
- more functions for LDAP support (write users, read groups)
- fixed installation clients
- 2.9.6
* Mon Feb 09 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Tue Feb 03 2004 - jsuchome@suse.cz
- agent for NIS users/groups
- initial LDAP support (with new Perl backend)
* Mon Feb 02 2004 - jsuchome@suse.cz
- new backend, written in Perl
- 2.9.4
* Mon Jan 19 2004 - jsrain@suse.de
- merged the new interpreter branch
* Mon Dec 01 2003 - jsuchome@suse.cz
- syntax fixes for new interpreter
- 2.9.3
* Thu Nov 27 2003 - jsuchome@suse.cz
- LDAP: added crypting passwords via slappaswd
* Tue Nov 25 2003 - jsuchome@suse.cz
- fix for LDAP: ignore non-existent attribute, until it is set again
  (caused "No such attribute" error when agent tried
  to remove actualy non-existent one from user/group entry)
* Tue Nov 18 2003 - jsuchome@suse.cz
- used UI:: builtins for file selection widgets
- migrated to doxygen
- 2.9.2
* Mon Oct 06 2003 - jsuchome@suse.cz
- basic command-line interface
- removed CallModule calls
- 2.9.1
* Fri Oct 03 2003 - jsuchome@suse.cz
- 'fullname' attribute renamed to 'cn' to follow LDAP specifications
* Wed Oct 01 2003 - jsuchome@suse.cz
- autologin: added configuration popup (initial), used Autologin module
* Mon Sep 29 2003 - jsuchome@suse.cz
- properly differ between local/system users (#31515),
  manage new variables from /etc/login.defs,
  enable change of user/group type (by changing uid/gid)
- 2.9.0
* Tue Sep 23 2003 - jsuchome@suse.cz
- run suseconfig after writing autologin value (#31470)
- 2.8.20
* Fri Sep 19 2003 - jsuchome@suse.cz
- fixed: non-ISO-1 chars in fullname not shown (#31405)
- fixed testsuite
- 2.8.19
* Thu Sep 18 2003 - nashif@suse.de
- fixed testsuite
- 2.8.18
* Thu Sep 18 2003 - jsuchome@suse.cz
- disable also login without passwords if there are more users (#31141)
- recode error messages from cracklib to UTF-8
- 2.8.17
* Wed Sep 17 2003 - jsuchome@suse.cz
- disable autologin when there are more users (#31141)
- 2.8.16
* Mon Sep 15 2003 - jsuchome@suse.cz
- in autoyast config mode, clear password entries for system users (#30573)
- fixed testsuite
- 2.8.15
* Sat Sep 13 2003 - nashif@suse.de
- Turn off progress during autoinstallation
* Thu Sep 11 2003 - jsuchome@suse.cz
- layout of first dialog (#29389)
* Wed Sep 10 2003 - jsuchome@suse.cz
- check if autologin is available (only works for KDM, bug #30385)
* Tue Sep 09 2003 - jsuchome@suse.cz
- flush /etc/sysconfig/displaymanager after write during installation
  (autologin bug #30124)
- 2.8.14
* Mon Sep 08 2003 - jsuchome@suse.cz
- check if NIS was enabled while module is running (#30256)
* Mon Sep 08 2003 - jsuchome@suse.cz
- do not create root's home direcotry in autoyast install (#30186)
* Fri Sep 05 2003 - jsuchome@suse.cz
- save changed autologin status (#30105)
* Fri Sep 05 2003 - jsuchome@suse.cz
- merged in proofread texts
- 2.8.13
* Tue Sep 02 2003 - jsuchome@suse.cz
- fixed helptexts
* Mon Sep 01 2003 - jsuchome@suse.cz
- LDAP users: chek for object class existence
* Mon Sep 01 2003 - jsuchome@suse.cz
- removed checking for kerberos
- rearanged buttons for 'add user dialog' during installation
  (from sh@suse.de, bug #29389)
- 2.8.12
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Mon Aug 25 2003 - jsuchome@suse.de
- enabled autologin (#29207)
* Fri Aug 22 2003 - jsuchome@suse.de
- 2.8.11
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- fixed help text
* Wed Aug 13 2003 - jsuchome@suse.de
- added new system user names for translation (passwd.ycp)
- 2.8.10
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts, 1st round
- 2.8.9
* Wed Aug 06 2003 - jsuchome@suse.de
- fixed: importing empty group (#28491)
- do not abort from Read in installation mode
* Thu Jul 24 2003 - msvec@suse.de
- added yast2-pam to needededforbuild
- 2.8.8
* Thu Jul 24 2003 - arvin@suse.de
- adapted neededforbuild to changes in yast2-security
* Thu Jul 17 2003 - jsuchome@suse.de
- system settings (/etc/login.defs etc.) are read from Security module
- helptexts
* Mon Jul 14 2003 - jsuchome@suse.de
- fix on inst_user dialog (#27859)
- fix: proper saving of "Expiration date" (#27863)
* Thu Jul 10 2003 - jsuchome@suse.de
- secondary groups for new users saved in /etc/default/useradd
- LDAP users and groups management:
  password length checks (length defined in LDAP configuration)
  saving last used Id to LDAP config object
  solved LDAP groups (groupOfUniqueNames cannot be empty)
- adapted testsuite
- 2.8.6
* Fri Jun 27 2003 - jsuchome@suse.de
- ldap defaults read from config modules stored in LDAP directory
- for manipulation with LDAP, used ldap-client API
- possibility to re-read LDAP settings after call of ldap-client
- fix: changing home directory
- 2.8.5
* Fri Jun 20 2003 - jsuchome@suse.de
- adapted to new agent-ldap (using c++ API)
- added missing imports
- adapted testsuite
- adapted to Label/Popup modules
- 2.8.4
* Fri Jun 20 2003 - mvidner@suse.cz
- Requires yast2-mail-aliases, which has been split off yast2.rpm
* Wed Jun 04 2003 - jsuchome@suse.de
- added agent-crack for checking passwords strength (bug #21266)
- 2.8.3
* Fri May 23 2003 - jsuchome@suse.de
- warning when username has uppercase letters (bug #26409)
* Mon May 05 2003 - jsuchome@suse.de
- popup for setting LDAP search filters
- agent-ldap: check if filter is correct
* Wed Apr 30 2003 - jsuchome@suse.cz
- browse buttons for default home and skeleton directories
- popup for LDAP search filter
* Wed Apr 23 2003 - jsuchome@suse.cz
- LDAP users: edit shadow setting, "more settings" dialog
- agent-ldap: change DN after change of username (groupname)
* Tue Apr 22 2003 - jsuchome@suse.de
- only one field for fullname (#21175)
- "Browse" button for home directory
* Thu Apr 17 2003 - jsuchome@suse.de
- check passwords max length (#13291)
- home directories (enable re-using of directories marked for deletion)
- managing group mambership of ldap users
- ldap error messages
- 2.8.2
* Mon Apr 14 2003 - jsuchome@suse.de
- new "agent-uid" for testing uid/username existence
- proposed some layout changes: separate dialogs for auth and encryption
- new "agent-ldap" for LDAP user/group operations (don't use "cpu" more)
- adapted testsuite
* Thu Mar 27 2003 - jsuchome@suse.de
- fixes in LDAP users management:
  display error messages, use spaces in fullname, don't ask for
  delete directory if it is not present
- don't save users when no really change was done (ReallyModified())
- changed abort popup
- 2.8.1
* Tue Mar 25 2003 - jsuchome@suse.de
- adapted to Require interface
- change ownership only when necessary (#25200)
- check for duplicate values in /etc/passwd and other files (#25394)
- remove temporary files with user data directly after reading
* Mon Mar 24 2003 - jsuchome@suse.de
- corrected texts (#25130)
- confirmation dialog when no user added in during installation (#25072)
- password length description (#24152)
- 2.8.0
* Wed Mar 12 2003 - jsuchome@suse.de
- missing texts for translations (#25189)
* Mon Mar 10 2003 - jsuchome@suse.de
- enable uppercase in user/groupnames (#24891)
- removed text which was missed for translations
* Wed Mar 05 2003 - jsuchome@suse.de
- fix: cloning users during autoinstallation (#24629)
- fix: creating homes during autoinstallation (#24731)
- fix: remove nscd cache before chown (#24748)
- 2.7.20
* Mon Mar 03 2003 - jsuchome@suse.de
- merged proofreaded texts
- inst_auth: fix network devices testing (#24004) - msvec@suse.cz
- 2.7.19
* Thu Feb 27 2003 - jsuchome@suse.de
- added popup for confirmation of short root's password (#24294)
- inst_auth: ldap/nisplus options not greyed, but removed if package
  is not available (#24358)
- fix: first user is displayed more times after multiple next & back
  (during installation, bug #24441)
- 2.7.18
* Wed Feb 26 2003 - arvin@suse.de
- removed calling of kbuildsycoca since it's now done in
  suseconfig
* Tue Feb 25 2003 - jsuchome@suse.de
- fixes of _auto client (nashif@suse.de):
- fix: "user password lost after details menu" (#24231)
- 2.7.17
* Tue Feb 25 2003 - arvin@suse.de
- save use of notify events in inst_auth.ycp
* Mon Feb 24 2003 - jsuchome@suse.de
- enable re-connecting to ldap server (bug #24198)
* Mon Feb 24 2003 - jsuchome@suse.de
- fix: group ownership for home directory not set if group is newly
  created (#24130)
- 2.7.16
* Fri Feb 21 2003 - arvin@suse.de
- better text for "abort installation" popup (bug #24019)
* Fri Feb 21 2003 - jsuchome@suse.de
- changed text for no user during installation
- fix: LDAP/NIS user cannot be added to local group (#24022)
- function ReadNewSet is now global (used by phone-services, #23961)
- 2.7.15
* Thu Feb 20 2003 - jsuchome@suse.de
- added label with current filter (bug #23920)
* Wed Feb 19 2003 - jsuchome@suse.de
- inst_auth: check if {ldap,nisplus}-client is available (#23762)
* Mon Feb 17 2003 - jsuchome@suse.de
- call "sux kbuildsycoca" after adding user during installation
- inst_auth: check for DSL device
- 2.7.14
* Fri Feb 14 2003 - jsuchome@suse.de
- fixed typos in texts
* Thu Feb 13 2003 - jsuchome@suse.de
- inst_user: use CallFunction, not CallModule
* Wed Feb 12 2003 - jsuchome@suse.de
- additional text corrected
* Tue Feb 11 2003 - jsuchome@suse.de
- check for installed {nis,nisplus,ldap}-client module before called
- more checks for new hoe directory
- add user dialog (#23512)
  password and home are not checked when clicking "Details"
- 2.7.13
* Tue Feb 11 2003 - nashif@suse.de
- Update shadow settings with new password when importing
* Mon Feb 10 2003 - jsuchome@suse.de
- check for Lan in inst_auth
- fix: check if home directory can be created
* Mon Feb 10 2003 - jsuchome@suse.de
- proofreaded texts: 3rd round
* Wed Feb 05 2003 - jsuchome@suse.de
- inst_user: calling modules after inst_auth dialog
- defaults dialog: small widgets moving
- 2.7.12
* Tue Feb 04 2003 - jsuchome@suse.cz
- autoinst: fixed importing user (missing shadow map)
- added progress for LDAP
* Mon Feb 03 2003 - jsuchome@suse.de
- NIS+ entry in expert_login
* Fri Jan 31 2003 - jsuchome@suse.de
- expert settings for root: used only popup again
- new file inst_auth.ycp: authentication setting during installation
- expert_settings: show NIS in authentication table
- 2.7.11
* Wed Jan 29 2003 - jsuchome@suse.cz
- gathered new system users to passwd.ycp (do not use passwd.sh now)
- translations of System users indexed by fullname, not by username
- when adding new user, Next is the default button (#23172)
- merged proofreaded texts
- 2.7.10
* Mon Jan 27 2003 - jsuchome@suse.cz
- autoinst fix: do not export group with only cache structures changed
- fix: changing id's more times, check for keys to remove from maps
- adapted testsuite
* Mon Jan 27 2003 - jsuchome@suse.cz
- autoinstall: check for imported users without uid's
- changed checkbox "forward root's mail"
- fix: recode gecos for system users when saving
- yast2-security is needed for build
- 2.7.9
* Fri Jan 24 2003 - jsuchome@suse.cz
- reading and saving custom settings
- testing for nis via Runlevel module
- fixed sequence in expert dialog
- fix of cursor "bug" (#23048)
- saving only modified customs/defaults
- fixed generating grouplist for nis/ldap
- added tests
- 2.7.8
* Wed Jan 22 2003 - jsuchome@suse.de
- autoinstalation: only modified users and groups exported
- encryption settings and password checks read from Security module
- added some checks for password content
- new translation texts
- 2.7.7
* Mon Jan 20 2003 - jsuchome@suse.cz
- fix in recoding strings
- function keys (ncurses)
- new user entry (for finger, bug 18270) + helptext
- adapted testsuite
- 2.7.6
* Fri Jan 17 2003 - jsuchome@suse.cz
- ldap: enabled modification of email, seting gecos,
  password shouldn't be changed by cpu when editing
* Thu Jan 16 2003 - jsuchome@suse.de
- autoinst
- fixed build_additional_users.pl script
* Wed Jan 15 2003 - jsuchome@suse.cz
- use cpu_configure from ldap-client to set cpu.cfg values (for LDAP)
- not neccessary to have anonymous access to LDAP server
  (-> ask for password)
- 2.7.5
* Wed Jan 08 2003 - jsuchome@suse.de
- fix: created path to home directory if not exist
- check if home directory is mounted (bug #20365)
- check for installed packages
- read speedup (script)
- enabled reading NIS groups
- enabled reading and editing LDAP groups
- 2.7.4
* Wed Dec 18 2002 - jsuchome@suse.de
- fixes: missing newlines on write, reading /etc/group, writing shadow
- auth.ycp + expert dialog from inst_root.ycp -> expert_login.ycp
- running expert dialog from main users dialog
- reading speedup
- adding blanks to uid entry in table widget
- 2.7.3
* Mon Dec 16 2002 - jsuchome@suse.de
- fixed broken installation sequence
- first fix of #22443 (strange [unicode] characters in curses)
- enabled change of UID (#16084)
- 2.7.2
* Fri Dec 13 2002 - jsuchome@suse.de
- new client for authentication: enables running NIS, LDAP, Kerberos modules
- new kerberos module:
- basic configuration of kerberos client (agent for /etc/krb5.conf)
- basic PAM settings for pam_krb5
- support for LDAP users:
- for generating list is the package perl-ldap used
- anonymous read access to LDAP server is required
- for modifications, cpu package is used
- script for reading splited, some data can be read later on demand
  (typically NIS/LDAP users)
- autoinstalation
- nis: users, are retrieved with ypcat
- editgroup dialog: 2 widgets of users
- group users (100 will change to 500) is now local (#19253)
- new helptexts
- 2.7.1
* Wed Nov 27 2002 - jsuchome@suse.cz
- New version of Users module:
- rewrite of code
- new files structure
- new data structures, enabling faster behaviour
- data structures are pre-builded via perl-script
- data are written directly to config (passwd...) files, not by extern
  tools (useradd etc.)
- dialog for changing /etc/default/useradd values (#14129)
- updated documentation
- etc_default_useradd.scr changed to use ini-agent
- 2.7.0
* Wed Oct 02 2002 - mvidner@suse.cz
- Improved the terrible performance for large numbers of users (#20072).
- Fixed #20360 - an error popped up for each NIS user when renaming a group.
- Fixed #20363 - could not add and remove users in a group at the same time.
- Better progress reporting (verbose for 'yast2 users progress_enabled').
- 2.6.30
* Tue Oct 01 2002 - jsrain@suse.cz
- fixed sorting of users by UID (#17650)
* Tue Sep 17 2002 - lslezak@suse.de
- fixed typo - write "blowfish" instead of "blowhish" to file
  /etc/security/pam_pwcheck.conf (#19741)
- version 2.6.29
* Tue Sep 17 2002 - mvidner@suse.de
- Fixed untranslated help text in the control center (#19753).
- 2.6.28
* Wed Sep 11 2002 - mvidner@suse.cz
- When displaying only non-system groups, display also "users" (#19253).
- 2.6.27
* Fri Sep 06 2002 - jsrain@suse.cz
- fixed provides/obsoletes
- fixed translation of expiration date help (Bug #18601)
- added error popup to avoid deleting remote NIS server user
- 2.6.26
* Thu Sep 05 2002 - jsrain@suse.cz
- fixed help text for root password setting
- 2.6.25
* Fri Aug 30 2002 - jsrain@suse.cz
- not removing /var/lib/YaST2/runme_at_boot in case of ssh
  installation (Bug #18580)
- redirecting output of yphelper (Bug #18621)
- dixed last p[assword change date for new user (Bug #18601)
- 2.6.24
* Thu Aug 29 2002 - jsrain@suse.cz
- fixed building
- 2.6.23
* Mon Aug 26 2002 - jsrain@suse.cz
- fixed informations shown during installation (Bug #18331)
- fixed ncurses buttons size (Bug #18251)
- 2.6.22
* Fri Aug 23 2002 - jsrain@suse.cz
- fixed help for password encryption selection
- 2.6.21
* Fri Aug 23 2002 - jsrain@suse.cz
- fixed provides and obsoletes
- sorting made more effective (and removed where not needed)
- 2.6.20
* Fri Aug 16 2002 - jsrain@suse.cz
- fixed kdoc comments
- merged proofread strings
- fixed sorting by UID /GID (Bug #17653)
- 2.6.19
* Fri Aug 09 2002 - jsrain@suse.de
- fixed initialization help text (Bug #17542)
- 2.6.18
* Thu Aug 08 2002 - jsrain@suse.de
- added more testsuites
- 2.6.17
* Mon Aug 05 2002 - jsrain@suse.cz
- added more verbose error logging
- 2.6.16
* Thu Aug 01 2002 - jsrain@suse.cz
- fixed reading values from /etc/login.defs
- fixed forwarding root's mail
- allowed to enter custom shell (Bug #10290)
- 2.6.15
* Tue Jul 30 2002 - jsrain@suse.cz
- fixed comments for translators
- removed "add user" and "add group" icons from YaST2 conrol center
- 2.6.14
* Fri Jul 26 2002 - jsrain@suse.cz
- yast2-security now not needed for running
- 2.6.13
* Mon Jul 22 2002 - jsrain@suse.cz
- removed yast2-mail from list of required packages
- fixed root password during installation (Bug #17126)
* Fri Jul 19 2002 - jsrain@suse.cz
- Removed yast2-nis from list of required packages
- Merged proofread texts
* Thu Jul 18 2002 - jsrain@suse.cz
- Added blowfish password encryption support
* Tue Jul 16 2002 - jsrain@suse.cz
- Removed namaspace using for Args and CallFunction
- Added support for seting forwaring root's mail during
  installation
* Mon Jul 15 2002 - jsrain@suse.cz
- Fixed installation workflow (Bug #14079)
- Fixed console encoding detection (Bug #16827)
* Fri Jul 12 2002 - jsrain@suse.cz
- Fixed detection whether is NIS domain master
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Wed Jul 10 2002 - jsrain@suse.cz
- Fixed maintenance of users/group for NIS when using other dir
  than /etc for files (Bug #14817)
- Addedf possibility to add non-local users to local groups
  (Bug #15013)
* Tue Jul 09 2002 - msvec@suse.cz
- added missing textdomains
- unified textdomains to users
- added translation of system accounts
- 2.6.5
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary file to /usr/share/YaST2
* Thu Jul 04 2002 - jsrain@suse.cz
- Able to edit password settings (Bug #15841)
- Helps update of Users module
- added yast2-country to requires
- Added testsuite
- Now allowed "=" in password (#15646)
* Tue Jul 02 2002 - jsrain@suse.cz
- added the installation files
* Fri Jun 28 2002 - arvin@suse.de
- renamed package from yast2-config-users to yast2-users
* Tue Jun 25 2002 - jsrain@suse.cz
- Allowed password longer than 8 characters (#9810)
- Fixed changing of home dir UID (#15552)
- Fixed deleting home dir (#10994)
- Added /etc/shadow reading
- Adapted for new result values of Any-agent
* Wed Mar 27 2002 - mvidner@suse.cz
- Prevent deleting a currently logged-in user. (#15557)
* Fri Mar 08 2002 - jbuch@suse.de
- remove incorrect help text (#14712)
* Fri Mar 08 2002 - jbuch@suse.de
- fixed bug - changing password of an existing user
* Fri Mar 08 2002 - jbuch@suse.de
- Set focus on userpage to forename field (Bug #14664)
  Use helptext form inst_root.ycp for password (Bug #13383)
* Fri Mar 01 2002 - jbuch@suse.de
- use min_pas_len from /etc/login.defs for md5 too
* Thu Feb 28 2002 - jbuch@suse.de
- bug 14105: fixed problems with users that have nearly the same
  name
* Tue Feb 26 2002 - jbuch@suse.de
- fixed bug 12647 - change the home directory
- in continue mode call the abort Popup from user module (not
  inst_user.ycp)
* Mon Feb 25 2002 - jbuch@suse.de
- utf-8 -> UTF-8
  Encodings must be upper case !
* Mon Feb 25 2002 - jbuch@suse.de
- fixed module syntax (Users.ycp)
* Mon Feb 25 2002 - jbuch@suse.de
- fixed call of pam agent
* Mon Feb 25 2002 - jbuch@suse.de
- fixed sequencer bug in the inst-sys
  don't show group nobody
  use value "umask" from /etc/login.defs
* Fri Feb 22 2002 - jbuch@suse.de
- raise login name length limit to 32 chars
  fixed bad help text
  fixed SetFocus bugs
  fixed one ShortCut bug
  changed allowed password characters
* Thu Feb 21 2002 - lslezak@suse.cz
- fixed bug (#13199) - user configuration in installation
  can be skipped now
- version 2.5.10
* Mon Feb 18 2002 - sh@suse.de
- V 2.5.9
- Fixed bug #13518: Keyboard focus not in input field when adding
  user
* Mon Feb 18 2002 - sh@suse.de
- V 2.5.8
- Fixed bug #13383: Letters not mentioned as valid chars in help
  text
* Mon Feb 18 2002 - kkaempf@suse.de
- use etc_passwd.scr as provided by yast2.rpm.
* Mon Feb 18 2002 - kkaempf@suse.de
- provide .scr files in filelist.
* Mon Feb 18 2002 - kkaempf@suse.de
- defined any agent config files used here.
- don't use /tmp file but parse command output directly.
* Tue Feb 12 2002 - kkaempf@suse.de
- re-enable chown after useradd.local
* Mon Feb 11 2002 - nashif@suse.de
- more autoinstall updates
- 2.5.3
* Sat Feb 09 2002 - nashif@suse.de
- Adapted for auto-installation
- 2.5.2
* Fri Feb 08 2002 - tom@suse.de
- Now the config module is being called from the installation
  workflow.
* Tue Sep 11 2001 - jbuch@suse.de
- Fixed error in switching between groups and users
* Sat Sep 08 2001 - jbuch@suse.de
- Add the new CheckBox "Also view system users/groups"
- Changed TextEntry for userlist/grouplist to MultiSelectionBox
* Fri Sep 07 2001 - jbuch@suse.de
- fixed bug 10290
* Tue Aug 21 2001 - jbuch@suse.de
- add yast2-agent-pam to spec file
  replaced fileexist
* Thu Aug 09 2001 - jbuch@suse.de
- add crypt md5 password
* Mon Aug 06 2001 - jbuch@suse.de
- edit user/group with double click
* Fri May 18 2001 - kendy@suse.cz
- fixed MAINTAINER: jbuch@suse.de, not me
* Mon May 14 2001 - jbuch@suse.de
- added if( test_mode) for test output
  else the user can read a map saved in the directory /tmp/..
  that contains crypted passwords and other user and group
  informations
* Thu May 10 2001 - gs@suse.de
- icons for module Create an user and Create a group added (bug
  7234)
* Mon May 07 2001 - jbuch@suse.de
- UI(`GetLanguage()) to UI(`GetLanguage(true))
* Mon May 07 2001 - jbuch@suse.de
- new version
* Mon May 07 2001 - jbuch@suse.de
- fixed Encoding/Uncoding fullname
* Thu May 03 2001 - jbuch@suse.de
- fixed bug 7517 and 7428
* Mon Apr 30 2001 - jbuch@suse.de
- add icons for menu; fixed shell bug
* Thu Apr 26 2001 - jbuch@suse.de
- add saving group password
* Tue Apr 24 2001 - jbuch@suse.de
- check_ycp ok
* Tue Apr 24 2001 - jbuch@suse.de
- new menuentry and isnil(..) -> .. != nil
* Tue Apr 17 2001 - jbuch@suse.de
- initial
